Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Terminals

Get Terminal

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/terminals/{terminalId}

Retrieve a terminal belonging to the authenticated merchant, together with its point of sale and the associated device if one exists.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Path Parameters

terminalIdstring
Required

UUID of the terminal.

Format:
uuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET 'https://payments.epay.eu/public/api/v1/terminals/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "terminal": {    "id": "019b3168-9334-770c-b34f-829d3c9c65d1",    "pointOfSaleId": "0192473a-e381-705c-b61c-fc2ac9624afc",    "deviceId": "LDG7M4WW44G",    "externalId": "terminal-beta",    "createdAt": "2026-04-01T15:04:05Z"  },  "pointOfSale": {    "id": "0192473a-e381-705c-b61c-fc2ac9624afc",    "name": "Store #42",    "descriptor": "POS Copenhagen",    "createdAt": "2024-10-01T10:38:14.658688472+02:00",    "updatedAt": "2024-10-01T12:38:14.658688472+02:00",    "type": "WEB",    "state": "ACTIVE",    "externalId": "string"  },  "device": {    "id": "LDG7M4WW44G",    "description": "Checkout 2 tablet",    "createdAt": "2026-03-15T08:30:00Z",    "appVersion": "string",    "connectedAt": "2019-08-24T14:15:22Z",    "disconnectedAt": "2019-08-24T14:15:22Z",    "lastSeen": "2019-08-24T14:15:22Z"  }}